Compartilhar via


Stac Collections - Get All

Obter coleções
Liste todas as coleções na instância do GeoCatalog

GET https:///stac/collections?api-version=2025-04-30-preview
GET https:///stac/collections?api-version=2025-04-30-preview&sign={sign}&duration={duration}

Parâmetros de URI

Nome Em Obrigatório Tipo Description
api-version
query True

string

minLength: 1

A versão da API a ser usada para esta operação.

duration
query

integer (int32)

Duração da assinatura de URL em minutos.

sign
query

StacAssetUrlSigningMode

Se deve assinar URLs de assets na resposta.

Respostas

Nome Tipo Description
200 OK

StacCatalogCollections

A solicitação foi bem-sucedida.

Other Status Codes

Azure.Core.Foundations.ErrorResponse

Uma resposta de erro inesperada.

Cabeçalhos

x-ms-error-code: string

Segurança

OAuth2Auth

Tipo: oauth2
Flow: implicit
URL de Autorização: https://login.microsoftonline.com/common/oauth2/authorize

Escopos

Nome Description
https://geocatalog.spatio.azure.com/.default

Exemplos

StacCollections_GetAll

Solicitação de exemplo

GET https:///stac/collections?api-version=2025-04-30-preview

Resposta de exemplo

{
  "collections": [
    {
      "id": "example-collection",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection"
        }
      ],
      "title": "Example Collection",
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2018-01-01T00:00:00Z",
              "2018-12-31T23:59:59Z"
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "An example collection",
      "stac_version": "1.0.0",
      "msft:_created": "2025-03-11T19:54:50.067546Z",
      "msft:_updated": "2025-03-11T19:54:50.067546Z",
      "msft:short_description": "An example collection"
    },
    {
      "id": "example-collection1",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection1/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection1"
        }
      ],
      "title": "Example Collection",
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2018-01-01T00:00:00Z",
              "2018-12-31T23:59:59Z"
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "An example collection",
      "stac_version": "1.0.0",
      "msft:_created": "2025-04-22T00:30:03.363303Z",
      "msft:_updated": "2025-04-22T00:30:03.363303Z",
      "msft:short_description": "An example collection"
    },
    {
      "id": "naip-sample-datasets",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-sample-datasets/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-sample-datasets"
        }
      ],
      "title": "NAIP (MPC Pro Sample Datasets)",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/naip-sample-datasets-83498858/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "NAIP thumbnail"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -124.784,
              24.744,
              -66.951,
              49.346
            ],
            [
              -156.003,
              19.059,
              -154.809,
              20.127
            ],
            [
              -67.316,
              17.871,
              -65.596,
              18.565
            ],
            [
              -64.94,
              17.622,
              -64.56,
              17.814
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2010-01-01T00:00:00Z",
              "2023-12-31T00:00:00Z"
            ]
          ]
        }
      },
      "license": "proprietary",
      "providers": [
        {
          "url": "https://www.fsa.usda.gov/programs-and-services/aerial-photography/imagery-programs/naip-imagery/",
          "name": "USDA Farm Service Agency",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          0.3,
          0.6,
          1
        ],
        "eo:bands": [
          {
            "name": "Red",
            "common_name": "red",
            "description": "visible red"
          },
          {
            "name": "Green",
            "common_name": "green",
            "description": "visible green"
          },
          {
            "name": "Blue",
            "common_name": "blue",
            "description": "visible blue"
          },
          {
            "name": "NIR",
            "common_name": "nir",
            "description": "near-infrared"
          }
        ]
      },
      "description": "A Subset of NAIP imagery for sample MPC Pro GeoCatalog deployments. Includes multiple city and national park focus areas, useful for quick product evaluation. - Updated for testing",
      "item_assets": {
        "image": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "RGBIR COG tile",
          "eo:bands": [
            {
              "name": "Red",
              "common_name": "red"
            },
            {
              "name": "Green",
              "common_name": "green"
            },
            {
              "name": "Blue",
              "common_name": "blue"
            },
            {
              "name": "NIR",
              "common_name": "nir",
              "description": "near-infrared"
            }
          ]
        },
        "metadata": {
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "FGDC Metdata"
        },
        "thumbnail": {
          "type": "image/jpeg",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-21T15:04:08.5650952Z",
      "msft:_updated": "2025-10-21T15:04:31.568615Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ]
    },
    {
      "id": "example-collection6",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection6/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection6"
        }
      ],
      "title": "Example Collection 88",
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2018-01-01T00:00:00Z",
              "2018-12-31T23:59:59Z"
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "An example collection",
      "stac_version": "1.0.0",
      "msft:_created": "2025-05-02T20:20:53.193385Z",
      "msft:_updated": "2025-09-30T17:04:12.0325676Z",
      "msft:short_description": "An example collection"
    },
    {
      "id": "impact-observatory",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/impact-observatory/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/impact-observatory"
        }
      ],
      "title": "impact-observatory",
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2018-01-01T00:00:00Z",
              "2018-12-31T23:59:59Z"
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "impact-observatory",
      "stac_version": "1.0.0",
      "msft:_created": "2025-05-21T11:34:25.100150Z",
      "msft:_updated": "2025-05-21T11:34:25.100150Z",
      "msft:short_description": "impact-observatory"
    },
    {
      "id": "tutorial-collection-20250527170217",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/tutorial-collection-20250527170217/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/tutorial-collection-20250527170217"
        }
      ],
      "title": "Tutorial Collection",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/tutorial-collection-20250527170217-34b2cde8/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "Sentinel-2 preview"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2020-01-01T00:00:00Z",
              null
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "Tutorial collection for integration tests",
      "item_assets": {
        "GEC": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "VV polarization",
          "description": "Gamma naught values corrected for terrain",
          "raster:bands": [
            {
              "nodata": -32768,
              "data_type": "uint8",
              "spatial_resolution": 0.477
            }
          ]
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-05-27T21:02:48.9870711Z",
      "msft:_updated": "2025-05-27T21:51:00.527167Z"
    },
    {
      "id": "naip-atl-sample-dataset",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-atl-sample-dataset/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-atl-sample-dataset"
        }
      ],
      "title": "NAIP Atlanta (MPC Pro Sample Datasets)",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/naip-atl-sample-dataset-b943876c/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "NAIP thumbnail"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -85.605165,
              30.357851,
              -80.839729,
              35.000659
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2010-01-01T00:00:00Z",
              "2023-12-31T00:00:00Z"
            ]
          ]
        }
      },
      "license": "proprietary",
      "providers": [
        {
          "url": "https://www.fsa.usda.gov/programs-and-services/aerial-photography/imagery-programs/naip-imagery/",
          "name": "USDA Farm Service Agency",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          0.3,
          0.6,
          1
        ],
        "eo:bands": [
          {
            "name": "Red",
            "common_name": "red",
            "description": "visible red"
          },
          {
            "name": "Green",
            "common_name": "green",
            "description": "visible green"
          },
          {
            "name": "Blue",
            "common_name": "blue",
            "description": "visible blue"
          },
          {
            "name": "NIR",
            "common_name": "nir",
            "description": "near-infrared"
          }
        ]
      },
      "description": "A Subset of NAIP imagery for sample MPC Pro GeoCatalog deployments. Includes multiple city and national park focus areas, useful for quick product evaluation. - Updated for testing",
      "item_assets": {
        "image": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "RGBIR COG tile",
          "eo:bands": [
            {
              "name": "Red",
              "common_name": "red"
            },
            {
              "name": "Green",
              "common_name": "green"
            },
            {
              "name": "Blue",
              "common_name": "blue"
            },
            {
              "name": "NIR",
              "common_name": "nir",
              "description": "near-infrared"
            }
          ]
        },
        "metadata": {
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "FGDC Metdata"
        },
        "thumbnail": {
          "type": "image/jpeg",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-21T19:00:05.1295233Z",
      "msft:_updated": "2025-10-21T19:00:36.824837Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ]
    },
    {
      "id": "sentinel-2-l2a-tutorial-372",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/sentinel-2-l2a-tutorial-372/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/sentinel-2-l2a-tutorial-372"
        }
      ],
      "title": "sentinel-2-l2a-tutorial-372",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/sentinel-2-l2a-tutorial-372-f4d2f1d8/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "Sentinel-2 preview"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2015-06-27T10:25:31Z",
              null
            ]
          ]
        }
      },
      "license": "proprietary",
      "keywords": [
        "Sentinel",
        "Copernicus",
        "ESA",
        "Satellite",
        "Global",
        "Imagery",
        "Reflectance"
      ],
      "providers": [
        {
          "url": "https://sentinel.esa.int/web/sentinel/missions/sentinel-2",
          "name": "ESA",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          10,
          20,
          60
        ],
        "eo:bands": [
          {
            "name": "AOT",
            "description": "aerosol optical thickness"
          },
          {
            "gsd": 60,
            "name": "B01",
            "common_name": "coastal",
            "description": "coastal aerosol",
            "center_wavelength": 0.443,
            "full_width_half_max": 0.027
          },
          {
            "gsd": 10,
            "name": "B02",
            "common_name": "blue",
            "description": "visible blue",
            "center_wavelength": 0.49,
            "full_width_half_max": 0.098
          },
          {
            "gsd": 10,
            "name": "B03",
            "common_name": "green",
            "description": "visible green",
            "center_wavelength": 0.56,
            "full_width_half_max": 0.045
          },
          {
            "gsd": 10,
            "name": "B04",
            "common_name": "red",
            "description": "visible red",
            "center_wavelength": 0.665,
            "full_width_half_max": 0.038
          },
          {
            "gsd": 20,
            "name": "B05",
            "common_name": "rededge",
            "description": "vegetation classification red edge",
            "center_wavelength": 0.704,
            "full_width_half_max": 0.019
          },
          {
            "gsd": 20,
            "name": "B06",
            "common_name": "rededge",
            "description": "vegetation classification red edge",
            "center_wavelength": 0.74,
            "full_width_half_max": 0.018
          },
          {
            "gsd": 20,
            "name": "B07",
            "common_name": "rededge",
            "description": "vegetation classification red edge",
            "center_wavelength": 0.783,
            "full_width_half_max": 0.028
          },
          {
            "gsd": 10,
            "name": "B08",
            "common_name": "nir",
            "description": "near infrared",
            "center_wavelength": 0.842,
            "full_width_half_max": 0.145
          },
          {
            "gsd": 20,
            "name": "B8A",
            "common_name": "rededge",
            "description": "vegetation classification red edge",
            "center_wavelength": 0.865,
            "full_width_half_max": 0.033
          },
          {
            "gsd": 60,
            "name": "B09",
            "description": "water vapor",
            "center_wavelength": 0.945,
            "full_width_half_max": 0.026
          },
          {
            "gsd": 20,
            "name": "B11",
            "common_name": "swir16",
            "description": "short-wave infrared, snow/ice/cloud classification",
            "center_wavelength": 1.61,
            "full_width_half_max": 0.143
          },
          {
            "gsd": 20,
            "name": "B12",
            "common_name": "swir22",
            "description": "short-wave infrared, snow/ice/cloud classification",
            "center_wavelength": 2.19,
            "full_width_half_max": 0.242
          }
        ],
        "platform": [
          "Sentinel-2A",
          "Sentinel-2B"
        ],
        "instruments": [
          "msi"
        ],
        "constellation": [
          "sentinel-2"
        ],
        "view:off_nadir": [
          0
        ]
      },
      "description": "The [Sentinel-2](https://sentinel.esa.int/web/sentinel/missions/sentinel-2) program provides global imagery in thirteen spectral bands at 10m-60m resolution and a revisit time of approximately five days.  This dataset represents the global Sentinel-2 archive, from 2016 to the present, processed to L2A (bottom-of-atmosphere) using [Sen2Cor](https://step.esa.int/main/snap-supported-plugins/sen2cor/) and converted to [cloud-optimized GeoTIFF](https://www.cogeo.org/) format.",
      "item_assets": {
        "AOT": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Aerosol optical thickness (AOT)"
        },
        "B01": {
          "gsd": 60,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 1 - Coastal aerosol - 60m",
          "eo:bands": [
            {
              "name": "B01",
              "common_name": "coastal",
              "description": "Band 1 - Coastal aerosol",
              "center_wavelength": 0.443,
              "full_width_half_max": 0.027
            }
          ]
        },
        "B02": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 2 - Blue - 10m",
          "eo:bands": [
            {
              "name": "B02",
              "common_name": "blue",
              "description": "Band 2 - Blue",
              "center_wavelength": 0.49,
              "full_width_half_max": 0.098
            }
          ]
        },
        "B03": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 3 - Green - 10m",
          "eo:bands": [
            {
              "name": "B03",
              "common_name": "green",
              "description": "Band 3 - Green",
              "center_wavelength": 0.56,
              "full_width_half_max": 0.045
            }
          ]
        },
        "B04": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 4 - Red - 10m",
          "eo:bands": [
            {
              "name": "B04",
              "common_name": "red",
              "description": "Band 4 - Red",
              "center_wavelength": 0.665,
              "full_width_half_max": 0.038
            }
          ]
        },
        "B05": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 5 - Vegetation red edge 1 - 20m",
          "eo:bands": [
            {
              "name": "B05",
              "common_name": "rededge",
              "description": "Band 5 - Vegetation red edge 1",
              "center_wavelength": 0.704,
              "full_width_half_max": 0.019
            }
          ]
        },
        "B06": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 6 - Vegetation red edge 2 - 20m",
          "eo:bands": [
            {
              "name": "B06",
              "common_name": "rededge",
              "description": "Band 6 - Vegetation red edge 2",
              "center_wavelength": 0.74,
              "full_width_half_max": 0.018
            }
          ]
        },
        "B07": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 7 - Vegetation red edge 3 - 20m",
          "eo:bands": [
            {
              "name": "B07",
              "common_name": "rededge",
              "description": "Band 7 - Vegetation red edge 3",
              "center_wavelength": 0.783,
              "full_width_half_max": 0.028
            }
          ]
        },
        "B08": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 8 - NIR - 10m",
          "eo:bands": [
            {
              "name": "B08",
              "common_name": "nir",
              "description": "Band 8 - NIR",
              "center_wavelength": 0.842,
              "full_width_half_max": 0.145
            }
          ]
        },
        "B09": {
          "gsd": 60,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 9 - Water vapor - 60m",
          "eo:bands": [
            {
              "name": "B09",
              "description": "Band 9 - Water vapor",
              "center_wavelength": 0.945,
              "full_width_half_max": 0.026
            }
          ]
        },
        "B11": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 11 - SWIR (1.6) - 20m",
          "eo:bands": [
            {
              "name": "B11",
              "common_name": "swir16",
              "description": "Band 11 - SWIR (1.6)",
              "center_wavelength": 1.61,
              "full_width_half_max": 0.143
            }
          ]
        },
        "B12": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 12 - SWIR (2.2) - 20m",
          "eo:bands": [
            {
              "name": "B12",
              "common_name": "swir22",
              "description": "Band 12 - SWIR (2.2)",
              "center_wavelength": 2.19,
              "full_width_half_max": 0.242
            }
          ]
        },
        "B8A": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 8A - Vegetation red edge 4 - 20m",
          "eo:bands": [
            {
              "name": "B8A",
              "common_name": "rededge",
              "description": "Band 8A - Vegetation red edge 4",
              "center_wavelength": 0.865,
              "full_width_half_max": 0.033
            }
          ]
        },
        "SCL": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Scene classfication map (SCL)"
        },
        "WVP": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Water vapour (WVP)"
        },
        "visual": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "True color image",
          "eo:bands": [
            {
              "name": "B04",
              "common_name": "red",
              "description": "Band 4 - Red",
              "center_wavelength": 0.665,
              "full_width_half_max": 0.038
            },
            {
              "name": "B03",
              "common_name": "green",
              "description": "Band 3 - Green",
              "center_wavelength": 0.56,
              "full_width_half_max": 0.045
            },
            {
              "name": "B02",
              "common_name": "blue",
              "description": "Band 2 - Blue",
              "center_wavelength": 0.49,
              "full_width_half_max": 0.098
            }
          ]
        },
        "preview": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        },
        "safe-manifest": {
          "type": "application/xml",
          "roles": [
            "metadata"
          ],
          "title": "SAFE manifest"
        },
        "granule-metadata": {
          "type": "application/xml",
          "roles": [
            "metadata"
          ],
          "title": "Granule metadata"
        },
        "inspire-metadata": {
          "type": "application/xml",
          "roles": [
            "metadata"
          ],
          "title": "INSPIRE metadata"
        },
        "product-metadata": {
          "type": "application/xml",
          "roles": [
            "metadata"
          ],
          "title": "Product metadata"
        },
        "datastrip-metadata": {
          "type": "application/xml",
          "roles": [
            "metadata"
          ],
          "title": "Datastrip metadata"
        }
      },
      "msft:region": "westeurope",
      "stac_version": "1.0.0",
      "msft:_created": "2025-05-30T13:51:04.7570215Z",
      "msft:_updated": "2025-05-30T14:11:36.334817Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ],
      "msft:short_description": "The Sentinel-2 program provides global imagery in thirteen spectral bands at 10m-60m resolution and a revisit time of approximately five days.  This dataset contains the global Sentinel-2 archive, from 2016 to the present, processed to L2A (bottom-of-atmosphere)."
    },
    {
      "id": "naip-sample-dataset-1.0.0",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-sample-dataset-1.0.0/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-sample-dataset-1.0.0"
        }
      ],
      "title": "NAIP Atlanta (MPC Pro Sample Datasets)",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/naip-sample-dataset-100-a161ce8d/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "NAIP thumbnail"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -85.605165,
              30.357851,
              -80.839729,
              35.000659
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2010-01-01T00:00:00Z",
              "2023-12-31T00:00:00Z"
            ]
          ]
        }
      },
      "license": "proprietary",
      "providers": [
        {
          "url": "https://www.fsa.usda.gov/programs-and-services/aerial-photography/imagery-programs/naip-imagery/",
          "name": "USDA Farm Service Agency",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          0.3,
          0.6,
          1
        ],
        "eo:bands": [
          {
            "name": "Red",
            "common_name": "red",
            "description": "visible red"
          },
          {
            "name": "Green",
            "common_name": "green",
            "description": "visible green"
          },
          {
            "name": "Blue",
            "common_name": "blue",
            "description": "visible blue"
          },
          {
            "name": "NIR",
            "common_name": "nir",
            "description": "near-infrared"
          }
        ]
      },
      "description": "A Subset of NAIP imagery for sample MPC Pro GeoCatalog deployments. Includes multiple city and national park focus areas, useful for quick product evaluation. - Updated for testing",
      "item_assets": {
        "image": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "RGBIR COG tile",
          "eo:bands": [
            {
              "name": "Red",
              "common_name": "red"
            },
            {
              "name": "Green",
              "common_name": "green"
            },
            {
              "name": "Blue",
              "common_name": "blue"
            },
            {
              "name": "NIR",
              "common_name": "nir",
              "description": "near-infrared"
            }
          ]
        },
        "metadata": {
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "FGDC Metdata"
        },
        "thumbnail": {
          "type": "image/jpeg",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-22T10:07:50.9807438Z",
      "msft:_updated": "2025-10-22T10:08:20.129540Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ]
    },
    {
      "id": "maxar-sample-dataset",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/maxar-sample-dataset/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/maxar-sample-dataset"
        }
      ],
      "title": "NAIP Atlanta (MPC Pro Sample Datasets)",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/maxar-sample-dataset-e4eaa3d3/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "NAIP thumbnail"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -85.605165,
              30.357851,
              -80.839729,
              35.000659
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2010-01-01T00:00:00Z",
              "2023-12-31T00:00:00Z"
            ]
          ]
        }
      },
      "license": "proprietary",
      "providers": [
        {
          "url": "https://www.fsa.usda.gov/programs-and-services/aerial-photography/imagery-programs/naip-imagery/",
          "name": "USDA Farm Service Agency",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          0.3,
          0.6,
          1
        ],
        "eo:bands": [
          {
            "name": "Red",
            "common_name": "red",
            "description": "visible red"
          },
          {
            "name": "Green",
            "common_name": "green",
            "description": "visible green"
          },
          {
            "name": "Blue",
            "common_name": "blue",
            "description": "visible blue"
          },
          {
            "name": "NIR",
            "common_name": "nir",
            "description": "near-infrared"
          }
        ]
      },
      "description": "A Subset of NAIP imagery for sample MPC Pro GeoCatalog deployments. Includes multiple city and national park focus areas, useful for quick product evaluation. - Updated for testing",
      "item_assets": {
        "image": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "RGBIR COG tile",
          "eo:bands": [
            {
              "name": "Red",
              "common_name": "red"
            },
            {
              "name": "Green",
              "common_name": "green"
            },
            {
              "name": "Blue",
              "common_name": "blue"
            },
            {
              "name": "NIR",
              "common_name": "nir",
              "description": "near-infrared"
            }
          ]
        },
        "metadata": {
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "FGDC Metdata"
        },
        "thumbnail": {
          "type": "image/jpeg",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-22T10:55:52.4798017Z",
      "msft:_updated": "2025-10-22T10:56:19.726063Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ]
    },
    {
      "id": "naip-atl",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-atl/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-atl"
        }
      ],
      "title": "NAIP Atlanta (MPC Pro Sample Datasets)",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/naip-atl-bde3e846/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "NAIP thumbnail"
        },
        "test-asset": {
          "href": "https://SANITIZED.blob.core.windows.net/naip-atl-bde3e846/collection-assets/test-asset/test-asset.txt",
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "Test Asset - Updated"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -85.605165,
              30.357851,
              -80.839729,
              35.000659
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2010-01-01T00:00:00Z",
              "2023-12-31T00:00:00Z"
            ]
          ]
        }
      },
      "license": "proprietary",
      "providers": [
        {
          "url": "https://www.fsa.usda.gov/programs-and-services/aerial-photography/imagery-programs/naip-imagery/",
          "name": "USDA Farm Service Agency",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          0.3,
          0.6,
          1
        ],
        "eo:bands": [
          {
            "name": "Red",
            "common_name": "red",
            "description": "visible red"
          },
          {
            "name": "Green",
            "common_name": "green",
            "description": "visible green"
          },
          {
            "name": "Blue",
            "common_name": "blue",
            "description": "visible blue"
          },
          {
            "name": "NIR",
            "common_name": "nir",
            "description": "near-infrared"
          }
        ]
      },
      "description": "A Subset of NAIP imagery for sample MPC Pro GeoCatalog deployments. Includes multiple city and national park focus areas, useful for quick product evaluation. - Updated for testing",
      "item_assets": {
        "image": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "RGBIR COG tile",
          "eo:bands": [
            {
              "name": "Red",
              "common_name": "red"
            },
            {
              "name": "Green",
              "common_name": "green"
            },
            {
              "name": "Blue",
              "common_name": "blue"
            },
            {
              "name": "NIR",
              "common_name": "nir",
              "description": "near-infrared"
            }
          ]
        },
        "metadata": {
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "FGDC Metdata"
        },
        "thumbnail": {
          "type": "image/jpeg",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-22T11:14:31.811918Z",
      "msft:_updated": "2025-10-28T18:00:29.154669Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ]
    },
    {
      "id": "python-sdk-sentinel-3",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/python-sdk-sentinel-3/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/python-sdk-sentinel-3"
        }
      ],
      "title": "Collection python-sdk-sentinel-3",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/python-sdk-sentinel-3-f616ab54/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "Sentinel-2 preview"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2015-06-27T10:25:31Z",
              null
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "Python SDK Sentinel-2 Collection - Updated for testing",
      "item_assets": {
        "red_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Red (band 4) - 20m",
          "eo:bands": [
            {
              "name": "red",
              "common_name": "red",
              "description": "Red (band 4)",
              "center_wavelength": 0.665,
              "full_width_half_max": 0.038
            }
          ]
        },
        "blue_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Blue (band 2) - 20m",
          "eo:bands": [
            {
              "name": "blue",
              "common_name": "blue",
              "description": "Blue (band 2)",
              "center_wavelength": 0.49,
              "full_width_half_max": 0.098
            }
          ]
        },
        "green_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Green (band 3) - 20m",
          "eo:bands": [
            {
              "name": "green",
              "common_name": "green",
              "description": "Green (band 3)",
              "center_wavelength": 0.56,
              "full_width_half_max": 0.045
            }
          ]
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-15T21:13:49.6626675Z",
      "msft:_updated": "2025-10-15T22:13:03.410106Z"
    },
    {
      "id": "python-sdk-sentinel-2",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/python-sdk-sentinel-2/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/python-sdk-sentinel-2"
        }
      ],
      "title": "Collection python-sdk-sentinel-2",
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2015-06-27T10:25:31Z",
              null
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "Python SDK Sentinel-2 Collection",
      "item_assets": {
        "red_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Red (band 4) - 20m",
          "eo:bands": [
            {
              "name": "red",
              "common_name": "red",
              "description": "Red (band 4)",
              "center_wavelength": 0.665,
              "full_width_half_max": 0.038
            }
          ]
        },
        "blue_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Blue (band 2) - 20m",
          "eo:bands": [
            {
              "name": "blue",
              "common_name": "blue",
              "description": "Blue (band 2)",
              "center_wavelength": 0.49,
              "full_width_half_max": 0.098
            }
          ]
        },
        "green_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Green (band 3) - 20m",
          "eo:bands": [
            {
              "name": "green",
              "common_name": "green",
              "description": "Green (band 3)",
              "center_wavelength": 0.56,
              "full_width_half_max": 0.045
            }
          ]
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-17T10:28:41.5639703Z",
      "msft:_updated": "2025-10-17T10:28:41.5639703Z"
    }
  ],
  "links": [
    {
      "rel": "root",
      "type": "application/json",
      "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
    },
    {
      "rel": "parent",
      "type": "application/json",
      "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
    },
    {
      "rel": "self",
      "type": "application/json",
      "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections"
    }
  ]
}

Definições

Nome Description
Azure.Core.Foundations.Error

O objeto de erro.

Azure.Core.Foundations.ErrorResponse

Uma resposta que contém detalhes do erro.

Azure.Core.Foundations.InnerError

Um objeto que contém informações mais específicas sobre o erro. De acordo com as diretrizes da API REST do Azure - https://aka.ms/AzureRestApiGuidelines#handling-errors.

StacAsset

https://github.com/radiantearth/stac-spec/blob/v1.0.0/item-spec/item-spec.md#asset-object

Representa um ativo STAC, que é um arquivo ou recurso associado a um item STAC.

StacAssetUrlSigningMode

Represente o tipo de assinatura para URLs de ativos.

StacCatalogCollections

http://docs.opengeospatial.org/is/17-069r3/17-069r3.html#_feature_collections_rootcollections

Representa uma coleção de coleções STAC com links.

StacCollection

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md

Representa uma coleção STAC.

StacCollectionTemporalExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#temporal-extent-object

Representa a extensão temporal de uma coleção STAC com intervalos de tempo.

StacExtensionExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#extent-object

Representa a extensão espacial e temporal de uma coleção STAC.

StacExtensionSpatialExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#spatial-extent-object

Representa a extensão espacial de uma coleção STAC com caixas delimitadoras.

StacItemAsset

https://github.com/stac-extensions/item-assets

Representa um ativo de item STAC, que descreve os ativos disponíveis em qualquer item da coleção.

StacLink

Modelo de link.

Ref: http://schemas.opengis.net/ogcapi/features/part1/1.0/openapi/schemas/link.yaml

Representa um link.

StacLinkType

Tipos MIME para links.

StacProvider

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#provider-object

Representa informações sobre um provedor de dados para coleções e itens STAC.

Azure.Core.Foundations.Error

O objeto de erro.

Nome Tipo Description
code

string

Um de um conjunto definido pelo servidor de códigos de erro.

details

Azure.Core.Foundations.Error[]

Uma matriz de detalhes sobre erros específicos que levaram a esse erro relatado.

innererror

Azure.Core.Foundations.InnerError

Um objeto que contém informações mais específicas do que o objeto atual sobre o erro.

message

string

Uma representação do erro em formato legível por humanos.

target

string

O destino do erro.

Azure.Core.Foundations.ErrorResponse

Uma resposta que contém detalhes do erro.

Nome Tipo Description
error

Azure.Core.Foundations.Error

O objeto de erro.

Azure.Core.Foundations.InnerError

Um objeto que contém informações mais específicas sobre o erro. De acordo com as diretrizes da API REST do Azure - https://aka.ms/AzureRestApiGuidelines#handling-errors.

Nome Tipo Description
code

string

Um de um conjunto definido pelo servidor de códigos de erro.

innererror

Azure.Core.Foundations.InnerError

Erro interno.

StacAsset

https://github.com/radiantearth/stac-spec/blob/v1.0.0/item-spec/item-spec.md#asset-object

Representa um ativo STAC, que é um arquivo ou recurso associado a um item STAC.

Nome Tipo Description
constellation

string

Constelação de satélites que adquiriram os dados.

created

string (date-time)

Carimbo de data/hora de criação dos dados.

description

string

Descrição detalhada do ativo.

gsd

number (float)

Distância da amostra moída em metros.

href

string

minLength: 1

URL para o arquivo de ativo.

instruments

string[]

Instrumentos que adquiriram os dados.

mission

string

Missão associada aos dados.

platform

string

Plataforma que adquiriu os dados.

providers

StacProvider[]

Organizações ou indivíduos que fornecem os dados.

roles

string[]

Funções do ativo dentro do item.

title

string

Título legível para o ativo.

type

string

Tipo de mídia do ativo.

updated

string (date-time)

Carimbo de data/hora da última atualização dos dados.

StacAssetUrlSigningMode

Represente o tipo de assinatura para URLs de ativos.

Valor Description
true

Assine URLs de assets na resposta.

false

Não assine URLs de assets na resposta.

StacCatalogCollections

http://docs.opengeospatial.org/is/17-069r3/17-069r3.html#_feature_collections_rootcollections

Representa uma coleção de coleções STAC com links.

Nome Tipo Description
collections

StacCollection[]

Uma variedade de coleções STAC disponível no catálogo.

links

StacLink[]

Links para recursos e pontos de extremidade relacionados.

StacCollection

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md

Representa uma coleção STAC.

Nome Tipo Valor padrão Description
assets

<string,  StacAsset>

Ativos

description

string

minLength: 1

Descrição detalhada da coleção.

extent

StacExtensionExtent

Extensão espacial e temporal da coleção.

id

string

minLength: 1
maxLength: 500
pattern: .*

Identificador exclusivo para a coleção.

item_assets

<string,  StacItemAsset>

Itens Ativos

Veja a Especificação de Extensão da Definição de Ativos de Itens

keywords

string[]

Palavras-chave que descrevem a coleção.

license

string

minLength: 1

Identificador de licença para os dados de coleta.

links

StacLink[]

Links para recursos e pontos de extremidade relacionados.

msft:_created

string (date-time)

MSFT criado

msft:_updated

string (date-time)

MSFT atualizado

msft:short_description

string

maxLength: 300

MSFT Breve descrição

providers

StacProvider[]

Organizações ou indivíduos que fornecem os dados de coleta.

stac_extensions

string[]

URLs para extensões STAC implementadas por este recurso STAC.

stac_version

string

minLength: 1
1.0.0

Versão Stac

summaries

Resumos

Veja a especificação da coleção STAC.

title

string

Título legível para a coleção.

type

string

minLength: 1
Collection

Tipo

StacCollectionTemporalExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#temporal-extent-object

Representa a extensão temporal de uma coleção STAC com intervalos de tempo.

Nome Tipo Description
interval

string[] (date-time)

Matriz de intervalos de tempo no formato [[start_datetime, end_datetime]].

StacExtensionExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#extent-object

Representa a extensão espacial e temporal de uma coleção STAC.

Nome Tipo Description
spatial

StacExtensionSpatialExtent

Extensão espacial definida por caixas delimitadoras.

Veja a especificação da coleção STAC.

temporal

StacCollectionTemporalExtent

Extensão temporal definida por intervalos de tempo.

Veja a especificação da coleção STAC.

StacExtensionSpatialExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#spatial-extent-object

Representa a extensão espacial de uma coleção STAC com caixas delimitadoras.

Nome Tipo Description
bbox

number[] (float)

Matriz de caixas delimitadoras que definem a extensão espacial, no formato [[oeste, sul, leste, norte]].

StacItemAsset

https://github.com/stac-extensions/item-assets

Representa um ativo de item STAC, que descreve os ativos disponíveis em qualquer item da coleção.

Nome Tipo Description
constellation

string

Constelação de satélites que adquiriram os dados.

created

string (date-time)

Carimbo de data/hora de criação dos dados.

description

string

Descrição detalhada do ativo.

gsd

number (float)

Distância da amostra moída em metros.

href

string

minLength: 1

URL para o arquivo de ativo.

instruments

string[]

Instrumentos que adquiriram os dados.

mission

string

Missão associada aos dados.

platform

string

Plataforma que adquiriu os dados.

providers

StacProvider[]

Organizações ou indivíduos que fornecem os dados.

roles

string[]

Funções do ativo dentro do item.

title

string

Título legível para o ativo.

type

string

Tipo de mídia do ativo.

updated

string (date-time)

Carimbo de data/hora da última atualização dos dados.

Modelo de link.

Ref: http://schemas.opengis.net/ogcapi/features/part1/1.0/openapi/schemas/link.yaml

Representa um link.

Nome Tipo Valor padrão Description
body

Para solicitações POST, o recurso pode especificar o corpo HTTP como um objeto JSON.

headers

object

Pares de chave-valor de objeto que são mapeados para cabeçalhos. Exemplo: { "aceitar": "application/json" }.

href

string

A URL do link.

hreflang

string

O idioma do recurso vinculado.

length

integer (int32)

O comprimento do recurso vinculado.

merge

boolean

False

Indica se o cliente deve mesclar o valor do corpo no corpo da solicitação atual antes de seguir o link. Isso só é válido quando o servidor está respondendo a uma solicitação POST. Padrão: falso.

method enum:
  • GET
  • POST
GET

Especifica o método HTTP que o recurso espera. Padrão: GET.

rel

string

O tipo de relação do link.

title

string

O título do link.

type

StacLinkType

application/json

O tipo MIME do recurso vinculado.

StacLinkType

Tipos MIME para links.

Valor Description
image/tiff; application=geotiff

Representa uma imagem/tiff com application=geotiff.

image/jp2

Representa uma imagem/jp2.

image/png

Representa uma imagem/png.

image/jpeg

Representa uma imagem/jpeg.

image/jpg

Representa uma imagem/jpg.

image/webp

Representa uma imagem/webp.

application/x-binary

Representa um aplicativo/binário x.

application/xml

Representa um aplicativo/xml.

application/json

Representa um application/json.

application/geo+json

Representa um application/geo+json.

text/html

Representa um texto/html.

text/plain

Representa um texto/simples.

application/x-protobuf

Representa um aplicativo/x-protobuf.

StacProvider

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#provider-object

Representa informações sobre um provedor de dados para coleções e itens STAC.

Nome Tipo Description
description

string

Descrição do provedor.

name

string

minLength: 1

Nome da organização ou indivíduo provedor.

roles

string[]

Funções desempenhadas pelo provedor (por exemplo, produtor, processador, host).

url

string

URL para o site do provedor.